## org.apache.ivy.plugins.parser.m2
Class PomWriterOptions

    java.lang.Object
      org.apache.ivy.plugins.parser.m2.PomWriterOptions

    public class PomWriterOptions

extends java.lang.Object

Nested Class Summary
`static class` `PomWriterOptions.ConfigurationScopeMapping`
`static class` `PomWriterOptions.ExtraDependency`

Constructor Summary
`PomWriterOptions()`

Method Summary
`java.lang.String` `getArtifactName()`
`java.lang.String` `getArtifactPackaging()`
`java.lang.String[]` `getConfs()`
`java.lang.String` `getDescription()`
`java.util.List` `getExtraDependencies()`
`java.lang.String` `getLicenseHeader()`
`PomWriterOptions.ConfigurationScopeMapping` `getMapping()`
`java.io.File` `getTemplate()`
`boolean` `isPrintIvyInfo()`
`PomWriterOptions` `setArtifactName(java.lang.String artifactName)`
`PomWriterOptions` `setArtifactPackaging(java.lang.String artifactPackaging)`
`PomWriterOptions` `setConfs(java.lang.String[] confs)`
`PomWriterOptions` `setDescription(java.lang.String description)`
`PomWriterOptions` `setExtraDependencies(java.util.List extraDependencies)`
`PomWriterOptions` `setLicenseHeader(java.lang.String licenseHeader)`
`PomWriterOptions` `setMapping(PomWriterOptions.ConfigurationScopeMapping mapping)`
`PomWriterOptions` `setPrintIvyInfo(boolean printIvyInfo)`
`PomWriterOptions` `setTemplate(java.io.File template)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PomWriterOptions

    public PomWriterOptions()

Method Detail

### getTemplate

    public java.io.File getTemplate()

### setTemplate

    public PomWriterOptions setTemplate(java.io.File template)

### getConfs

    public java.lang.String[] getConfs()

### setConfs

    public PomWriterOptions setConfs(java.lang.String[] confs)

### getLicenseHeader

    public java.lang.String getLicenseHeader()

### setLicenseHeader

    public PomWriterOptions setLicenseHeader(java.lang.String licenseHeader)

### getMapping

    public PomWriterOptions.ConfigurationScopeMapping getMapping()

### setMapping

    public PomWriterOptions setMapping(PomWriterOptions.ConfigurationScopeMapping mapping)

### isPrintIvyInfo

    public boolean isPrintIvyInfo()

### setPrintIvyInfo

    public PomWriterOptions setPrintIvyInfo(boolean printIvyInfo)

### getExtraDependencies

    public java.util.List getExtraDependencies()

### setExtraDependencies

    public PomWriterOptions setExtraDependencies(java.util.List extraDependencies)

### getArtifactName

    public java.lang.String getArtifactName()

### setArtifactName

    public PomWriterOptions setArtifactName(java.lang.String artifactName)

### getArtifactPackaging

    public java.lang.String getArtifactPackaging()

### setArtifactPackaging

    public PomWriterOptions setArtifactPackaging(java.lang.String artifactPackaging)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public PomWriterOptions setDescription(java.lang.String description)